%global _empty_manifest_terminate_build 0
Name:           python-oslo-upgradecheck
Version:        0.3.2
Release:        1
Summary:        Common code for writing OpenStack upgrade checks
License:        Apache-2.0
URL:            http://launchpad.net/oslo
Source0:        https://files.pythonhosted.org/packages/d9/13/879ee7a2711e3c2c0ee2a757389eae1cac24067d50ed6cc4a191566c1626/oslo.upgradecheck-0.3.2.tar.gz
BuildArch:      noarch
%description
Common code for writing OpenStack upgrade checks.

%package -n python3-oslo-upgradecheck
Summary:        Common code for writing OpenStack upgrade checks
Provides:       python-oslo-upgradecheck
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-babel
BuildRequires:  python3-oslo-config
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-prettytable
# General requires
Requires:       python3-babel
Requires:       python3-oslo-config
Requires:       python3-oslo-i18n
Requires:       python3-prettytable
%description -n python3-oslo-upgradecheck
Common code for writing OpenStack upgrade checks.

%package help
Summary:        Common code for writing OpenStack upgrade checks
Provides:       python3-oslo-upgradecheck-doc
%description help
Common code for writing OpenStack upgrade checks.

%prep
%autosetup -n oslo.upgradecheck-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-oslo-upgradecheck -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Nov 15 2021 OpenStack_SIG <openstack@openeuler.org> - 0.3.2-1
- Init package python3-oslo-upgradecheck of version 0.3.2

